org.gnome.gdk

## Class Event

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.gdk.Event

- Direct Known Subclasses:
    EventAny, EventButton, EventConfigure, EventCrossing, EventDragAndDrop, EventFocus, EventKey, EventMotion, EventOwnerChange, EventProperty, EventProximity, EventScroll, EventSelection, EventVisibility, EventWindowState

      public abstract class Event
      extends Boxed

  The events used to communicate data describing the internal details of activities that occur to or between GDK resources.

  C side, `GdkEvent` is a union of various event structs such as `GdkEventExpose` and `GdkEventKey`. Each struct in this family starts with the same fields, and these fields are represented by `GdkEventAny`. We have exposed those fields here on Event.

  Since:
    4.0.3
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventType` | `getType()` Get the type of event that occurred.
    `Window` | `getWindow()` Get the underlying [GDK] Window which received the event.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public EventType getType()

      Get the type of event that occurred. There are fairly tight relationships between these type constants and the concrete Event subclasses, see `EventType` for an example.
      Since:
        4.0.3

    - #### getWindow

          public Window getWindow()

      Get the underlying [GDK] Window which received the event.
      Since:
        4.0.3